Subject: Re: [PATCH] Revert "mt76: mt7921: enable aspm by default"

From: Kalle Valo <[email-masked]>
Date: Tue, 12 Apr 2022 13:33:52 +0300

Thorsten Leemhuis <[email-masked]> writes:

> On 12.04.22 11:37, Kalle Valo wrote:
>> Philippe Schenker <[email-masked]> writes:
>> 
>>> This reverts commit bf3747ae2e25dda6a9e6c464a717c66118c588c8.
>>>
>>> This commit introduces a regression on some systems where the kernel is
>>> crashing in different locations after a reboot was issued.
>>>
>>> This issue was bisected on a Thinkpad P14s Gen2 (AMD) with latest firmware.
>>>
>>> Link:
>>> https://lore.kernel.org/linux-wireless/[email-masked]/
>>> Signed-off-by: Philippe Schenker <[email-masked]>
>> 
>> Can I take this to wireless tree? Felix, ack?
>> 
>> I'll also add:
>> 
>> Fixes: bf3747ae2e25 ("mt76: mt7921: enable aspm by default")
>
> Sorry, stupid questions from the regression tracker: wouldn't this cause
> a regression for users of kernel versions post-bf3747ae2e25, as the
> power consumption is likely to increase for them? Without having dug
> into the backstory much: would disabling ASPM for this particular
> machine using a quirk be the better approach? Or are we assuming a lot
> of machines are affected?

Kernel crashing is far more serious than increased power consumption. If
there's a better fix available in the next day or two of course that can
be considered. But if there's no such fix available, we have to revert
the commit.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches